Subject: bug#79229: closed (Re: bug#79229: 30.1; `emms-add-native-playlist' error when cache is disabled)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Sep 2025 19:10:02 +0000

Your bug report

#79229: 30.1; `emms-add-native-playlist' error when cache is disabled

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79229: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79229
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79229: 30.1; `emms-add-native-playlist' error when cache is disabled
From: Eli Zaretskii <[email-masked]>
To: Yoni Rabkin <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 01 Sep 2025 22:09:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Yoni Rabkin <[email-masked]>
> Cc: [email-masked],  [email-masked], [email-masked] (emms-help
>  mailing list)
> Date: Mon, 01 Sep 2025 12:05:42 -0400
> 
> fixed in the main git repo and will be included in the next release

Thanks, so I'm closing this bug.

Subject: 30.1; `emms-add-native-playlist' error when cache is disabled
From: lorniu <[email-masked]>
To: [email-masked]
Date: Wed, 13 Aug 2025 09:16:42 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I disable cache with `(emms-cache -1)'. Then when invoke
`emms-add-native-playlist', error occurred:

  Symbol's function definition is void: nil

I read the source, maybe the BUG is in function `emms-source-playlist-parse-native':

  (defun emms-source-playlist-parse-native (file)
      ;; ...
      (mapc (lambda (track)
              (funcall emms-cache-set-function ;; <=== here
                       (emms-track-type track)
                       (emms-track-name track)
                       track))
            tracks)
      tracks))

Please check.